Subject: Re: Please add Microchip RISC-V branches to linux-next

From: Stephen Rothwell <[email-masked]>
Date: Tue, 7 Jun 2022 08:51:28 +1000

Hi Conor,

On Mon, 6 Jun 2022 22:06:19 +0000 <[email-masked]> wrote:
>
> To take some work off Palmer's shoulders, I am going to send him
> PRs for "my" (Microchip RISC-V) device trees going forwards.
> 
> Could you please add the following branches to linux-next?
> https://git.kernel.org/pub/scm/linux/kernel/git/conor/linux.git/ dt-for-next
> https://git.kernel.org/pub/scm/linux/kernel/git/conor/linux.git/ dt-fixes
> 
> I had a quick look on lore, but couldn't easily see an example
> of someone requesting a tree that goes via Arnd etc, so in case
> it is relevant that the PRs will be to Palmer rather than Linus,
> my branches are aimed at
> https://git.kernel.org/pub/scm/linux/kernel/git/riscv/linux.git/ for-next
> &
> https://git.kernel.org/pub/scm/linux/kernel/git/riscv/linux.git/ fixes
> respectively.
> 
> Please let me know if you need any more info,

Thats perfect, thanks.

Added from today.  I have called them risc-v-mc and risc-v-mc-fixes in
linux-next.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]

-- 
Cheers,
Stephen Rothwell